# Class PaymentAccountForm

#### Hierarchy

- unknown
  - PaymentAccountForm

- Defined in src/protobuf/pb_pb.d.ts:7697
- Defined in src/protobuf/pb_pb.d.ts:7714

#####
Index

### Constructors

constructor

### Methods

addFields
clearFieldsList
getFieldsList
getId
serializeBinary
setFieldsList
setId
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new PaymentAccountForm(): PaymentAccountForm

- #### Returns PaymentAccountForm

  Inherited from jspb.Message.constructor

## Methods

### addFields

- addFields(value?: PaymentAccountFormField, index?: number): PaymentAccountFormField

- #### Parameters

  - ##### `Optional` value: PaymentAccountFormField

  - ##### `Optional` index: number

  #### Returns PaymentAccountFormField

  - Defined in src/protobuf/pb_pb.d.ts:7704

### clearFieldsList

- clearFieldsList(): PaymentAccountForm

- #### Returns PaymentAccountForm

  - Defined in src/protobuf/pb_pb.d.ts:7703

### getFieldsList

- getFieldsList(): PaymentAccountFormField[]

- #### Returns PaymentAccountFormField[]

  - Defined in src/protobuf/pb_pb.d.ts:7701

### getId

- getId(): FormId

- #### Returns FormId

  - Defined in src/protobuf/pb_pb.d.ts:7698

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:7706

### setFieldsList

- setFieldsList(value: PaymentAccountFormField[]): PaymentAccountForm

- #### Parameters

  - ##### value: PaymentAccountFormField[]

  #### Returns PaymentAccountForm

  - Defined in src/protobuf/pb_pb.d.ts:7702

### setId

- setId(value: FormId): PaymentAccountForm

- #### Parameters

  - ##### value: FormId

  #### Returns PaymentAccountForm

  - Defined in src/protobuf/pb_pb.d.ts:7699

### toObject

- toObject(includeInstance?: boolean): PaymentAccountForm.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns PaymentAccountForm.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:7707

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): PaymentAccountForm

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PaymentAccountForm

  - Defined in src/protobuf/pb_pb.d.ts:7710

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PaymentAccountForm, reader: BinaryReader): PaymentAccountForm

- #### Parameters

  - ##### message: PaymentAccountForm

  - ##### reader: BinaryReader

  #### Returns PaymentAccountForm

  - Defined in src/protobuf/pb_pb.d.ts:7711

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: PaymentAccountForm, writer: BinaryWriter): void

- #### Parameters

  - ##### message: PaymentAccountForm

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:7709

### `Static` toObject

- toObject(includeInstance: boolean, msg: PaymentAccountForm): PaymentAccountForm.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PaymentAccountForm

  #### Returns PaymentAccountForm.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:7708

Generated using TypeDoc